com.license4j

## Enum ValidationStatus

- java.lang.Object
- - java.lang.Enum<ValidationStatus>
  - - com.license4j.ValidationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ValidationStatus>

      public enum ValidationStatus
      extends java.lang.Enum<ValidationStatus>

  Validation status information.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLOATING_LICENSE_ALLOWED_USE_COUNT_REACHED` Allowed license use count reached.
    `FLOATING_LICENSE_ALLOWED_USE_TIME_REACHED` Allowed license usage time limit reached.
    `FLOATING_LICENSE_CLIENT_REJECTED` Applicable to floating license text only, will be returned when client is rejected.
    `FLOATING_LICENSE_NOT_AVAILABLE_ALL_IN_USE` All licenses are in use.
    `FLOATING_LICENSE_NOT_FOUND` License with given product id does not exist on floating license server.
    `FLOATING_LICENSE_SERVER_NOT_AVAILABLE` Floating license server not available, either not running or client can not connect.
    `INCORRECT_SYSTEM_TIME` System date/time is incorrect, at least 24 hours difference with checked online time source.
    `LICENSE_EXPIRED` License expired.
    `LICENSE_INVALID` License invalid.
    `LICENSE_MAINTENANCE_EXPIRED` License maintenance expired.
    `LICENSE_VALID` License valid.
    `MISMATCH_HARDWARE_ID` License signature is valid, but hardware id different.
    `MISMATCH_PRODUCT_EDITION` License signature is valid, but product edition different.
    `MISMATCH_PRODUCT_ID` License signature is valid, but product id different.
    `MISMATCH_PRODUCT_VERSION` License signature is valid, but product version different.
    `VALIDATION_REJECTED_FEATURE_DISABLED` Validation rejected due to disabled validation.
    `VALIDATION_REJECTED_IP_BLOCK_RESTRICTION` Only applicable to Online Basic Key Floating Over Internet license type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValidationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LICENSE_VALID

          public static final ValidationStatus LICENSE_VALID

      License valid.

    - #### LICENSE_INVALID

          public static final ValidationStatus LICENSE_INVALID

      License invalid.

    - #### LICENSE_EXPIRED

          public static final ValidationStatus LICENSE_EXPIRED

      License expired.

    - #### LICENSE_MAINTENANCE_EXPIRED

          public static final ValidationStatus LICENSE_MAINTENANCE_EXPIRED

      License maintenance expired.

    - #### MISMATCH_PRODUCT_ID

          public static final ValidationStatus MISMATCH_PRODUCT_ID

      License signature is valid, but product id different. License is not valid for the given product id.

    - #### MISMATCH_PRODUCT_EDITION

          public static final ValidationStatus MISMATCH_PRODUCT_EDITION

      License signature is valid, but product edition different. License is not valid for the given product edition.

    - #### MISMATCH_PRODUCT_VERSION

          public static final ValidationStatus MISMATCH_PRODUCT_VERSION

      License signature is valid, but product version different. License is not valid for the given product version.

    - #### MISMATCH_HARDWARE_ID

          public static final ValidationStatus MISMATCH_HARDWARE_ID

      License signature is valid, but hardware id different. License is not valid for running computer.

    - #### FLOATING_LICENSE_SERVER_NOT_AVAILABLE

          public static final ValidationStatus FLOATING_LICENSE_SERVER_NOT_AVAILABLE

      Floating license server not available, either not running or client can not connect.

    - #### FLOATING_LICENSE_CLIENT_REJECTED

          public static final ValidationStatus FLOATING_LICENSE_CLIENT_REJECTED

      Applicable to floating license text only, will be returned when client is rejected.

    - #### FLOATING_LICENSE_NOT_FOUND

          public static final ValidationStatus FLOATING_LICENSE_NOT_FOUND

      License with given product id does not exist on floating license server.

    - #### FLOATING_LICENSE_NOT_AVAILABLE_ALL_IN_USE

          public static final ValidationStatus FLOATING_LICENSE_NOT_AVAILABLE_ALL_IN_USE

      All licenses are in use.

    - #### FLOATING_LICENSE_ALLOWED_USE_COUNT_REACHED

          public static final ValidationStatus FLOATING_LICENSE_ALLOWED_USE_COUNT_REACHED

      Allowed license use count reached. Only applicable to basic license key floating over internet.

    - #### FLOATING_LICENSE_ALLOWED_USE_TIME_REACHED

          public static final ValidationStatus FLOATING_LICENSE_ALLOWED_USE_TIME_REACHED

      Allowed license usage time limit reached. Only applicable to basic license key floating over internet.

    - #### INCORRECT_SYSTEM_TIME

          public static final ValidationStatus INCORRECT_SYSTEM_TIME

      System date/time is incorrect, at least 24 hours difference with checked online time source.

    - #### VALIDATION_REJECTED_IP_BLOCK_RESTRICTION

          public static final ValidationStatus VALIDATION_REJECTED_IP_BLOCK_RESTRICTION

      Only applicable to Online Basic Key Floating Over Internet license type.

    - #### VALIDATION_REJECTED_FEATURE_DISABLED

          public static final ValidationStatus VALIDATION_REJECTED_FEATURE_DISABLED

      Validation rejected due to disabled validation.

  - ### Method Detail

    - #### values

          public static ValidationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationStatus c : ValidationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null